using System;

namespace Zad1
{
    class Program
    {
        static void Main(string[] args)
        {
            string ab = Console.ReadLine();
            char c1 = ab[0];
            char c2 = ab[1];

            string[] xy = Console.ReadLine().Split(' ');
            int a1 = Convert.ToInt32(xy[0]);
            int a2 = Convert.ToInt32(xy[1]);


            if(a1 == a2 || a1 == a2 + 1)
                for(int i = 0; i < a1 + a2; i++)
                    if(i % 2 == 0)
                        Console.Write(c1);
                    else
                        Console.Write(c2);
            else if( a1 + 1 == a2)
                for(int i = 0; i < a1 + a2; i++)
                    if(i % 2 == 0)
                        Console.Write(c2);
                    else
                        Console.Write(c1);
            else
                Console.WriteLine("nemoguce");
        }
    }
}